Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2
Interface MetricsSystemMXBean

All Known Subinterfaces:
  MetricsSystem

All Known Implementing Classes:
  DefaultMetricsSystem, MetricsSystemImpl

    public interface MetricsSystemMXBean

The JMX interface to the metrics system

Method Summary
`String` | `currentConfig()`
`void` | `refreshMBeans()` Force a refresh of MBeans
`void` | `start()` Start the metrics system
`void` | `stop()` Stop the metrics system

Method Detail

### start

    void start()

  Start the metrics system

  Throws:
    `MetricsException`

### stop

    void stop()

  Stop the metrics system

  Throws:
    `MetricsException`

### refreshMBeans

    void refreshMBeans()

  Force a refresh of MBeans

  Throws:
    `MetricsException`

### currentConfig

    String currentConfig()

  Returns:
    the current config Note, avoid getConfig, as it'll turn it into an attribute, which doesn't support multiple lines in the values.
  Throws:
    `MetricsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation